## libspring-java 3.2.13

=== debian/changelog ===
libspring-java (3.2.13-5) unstable; urgency=medium

  * Team upload.
  * Migrate to Groovy 2.x.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 10 Dec 2015 15:55:02 -0300

libspring-java (3.2.13-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Quartz 1.8.6
  * Fixed a compatibility issue with Gradle 2
  * Build with gradle-debian-helper
  * Removed the compatibility patches for Gradle < 1.7
  * Removed the dependency on the Servlet API from the binary packages

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 21 Oct 2015 23:32:19 +0200

libspring-java (3.2.13-3) unstable; urgency=medium

  * Fix FTBFS with gradle 2.5.x:
    - Refresh d/p/0029-use-jruby-core.patch.
  * Add compatibility with recent tomcat7 releases:
    - Add d/p/0030-tomcat7-compatibility.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 16 Aug 2015 19:35:43 +0200

libspring-java (3.2.13-2) unstable; urgency=medium

  * Use jruby-core Maven artifact instead jruby one. (Closes: #788768).

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 20 Jun 2015 19:20:52 -0300

libspring-java (3.2.13-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Apr 2015 23:11:12 +0200

libspring-java (3.2.12-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #732215)
    - Fix CVE-2014-3578: Directory Traversal (Closes: #760733)
    - Fix CVE-2014-3625: Directory Traversal (Closes: #769698)
    - Removed the patches applied upstream
    - New build dependencies on libjoptsimple-java, libderbyclient-java,
      libhsqldb-java, libjetty8-java, libhibernate-validator-java,
      gradle-propdeps-plugin, libjackson2-databind-java, libjstl1.1-java,
      libjakarta-taglibs-standard-java
    - Depend on libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-2)
    - Depend on libgeronimo-commonj-spec-java (>= 1.1.1-3)
    - Depend on libitext-java (>= 2.1.7-9)
    - Depend on libvelocity-tools-java (>= 2.0-3)
  * Use XZ compression for the upstream tarball
  * Remove more jar files from the upstream tarball
  * debian/rules: Changed the get-orig-source target to call uscan

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Dec 2014 16:22:55 +0100

libspring-java (3.0.6.RELEASE-17) unstable; urgency=medium

  * Team upload.
  * Removed the libspring-web-struts-java package and dropped
    the build dependency on libstruts1.2-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Nov 2014 11:42:48 +0100

libspring-java (3.0.6.RELEASE-16) unstable; urgency=medium

  * Team upload.
  * debian/rules: Fixed the JAVA_HOME variable (Closes: #766156)
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Build depend on libmail-java instead of glassfish-mail
    - Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Oct 2014 10:45:06 +0200

libspring-java (3.0.6.RELEASE-15) unstable; urgency=medium

  * Team upload.
  * Transition to libasm4-java and libcglib3-java
  * debian/control:
    - Depend on libtomcat8-java instead of libtomcat6-java (Closes: #759635)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Sep 2014 16:24:52 +0200

libspring-java (3.0.6.RELEASE-14) unstable; urgency=high

  * Team upload.
  * Add patch to fix CVE-2014-0225. (Closes: #753470)
    - Thanks for Stephen Nelson.

 -- tony mancill <tmancill@debian.org>  Sat, 06 Sep 2014 08:27:26 -0700

libspring-java (3.0.6.RELEASE-13) unstable; urgency=high

  * Fix CVE-2014-0054 and CVE-2014-1904. (Closes: #741604).

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 24 Mar 2014 17:10:32 -0300

libspring-java (3.0.6.RELEASE-12) unstable; urgency=low

  * Fix an FTBFS bug due to a packaging change in
    libgeronimo-commonj-spec-java. (Closes: #738400).
  * Update my email address in Uploaders list.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 28 Jan 2014 23:50:15 -0300

libspring-java (3.0.6.RELEASE-11) unstable; urgency=high

  * Team upload.
  * Fix CVE-2013-6429 and CVE-2013-6430. (Closes: #735420)
    - New patches: CVE-2013-6429.patch and CVE-2013-6430.patch.
    - Spring MVC's SourceHttpMessageConverter also processed user provided XML
      and neither disabled XML external entities nor provided an option to
      disable them. SourceHttpMessageConverter has been modified to provide an
      option to control the processing of XML external entities and that
      processing is now disabled by default.
    - The JavaScriptUtils.javaScriptEscape() method did not escape all
      characters that are sensitive within either a JS single quoted string, JS
      double quoted string, or HTML script data context. In most cases this
      will result in an unexploitable parse error but in some cases it could
      result in an XSS vulnerability.

 -- Markus Koschany <apo@gambaru.de>  Fri, 24 Jan 2014 19:22:14 +0100

libspring-java (3.0.6.RELEASE-10) unstable; urgency=high

  * Team upload.
  * Fix CVE-2013-4152. (Closes: #720902).
   - New patch: Add-processExternalEntities-to-JAXB2Marshaller.patch.
   - Now by default external XML entities are not processed when unmarshalling.
     Processing of external entities will only be enabled/disabled when the
     source passed to the unmarshaller is a SAXSource or StreamSource. It has
     no effect for DOMSource or StAXSource instances.

 -- Markus Koschany <apo@gambaru.de>  Sun, 29 Dec 2013 13:24:03 +0100

libspring-java (3.0.6.RELEASE-9) unstable; urgency=low

  * Team upload.
  * Update debian/build-classpath and use jackson-mapper-asl.jar and
    jackson-core-asl.jar to adapt the package to the changes in
    libjackson-json-java.
  * Use compat level 9 and require debhelper >= 9.
  * Bump Standards-Version to 3.9.5, no changes.

 -- Markus Koschany <apo@gambaru.de>  Tue, 03 Dec 2013 10:38:45 +0100

libspring-java (3.0.6.RELEASE-8) unstable; urgency=low

  * Team upload.
  * Updated debian/watch to fetch the tarball from Github

