=== debian/control ===
Source: libspring-java
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Miguel Landaeta <nomadium@debian.org>
Build-Depends: debhelper (>= 9), default-jdk (>= 1:1.6), gradle (>= 1.7), gradle-debian-helper
Build-Depends-Indep: bsh,
                     glassfish-javaee,
                     glassfish-toplink-essentials,
                     gradle-propdeps-plugin,
                     groovy2,
                     ivy,
                     jruby (>= 1.7.19~),
                     junit4 (>= 4.5),
                     libaopalliance-java,
                     libapache-poi-java,
                     libasm4-java,
                     libaspectj-java,
                     libatinject-jsr330-api-java,
                     libaxis-java,
                     libc3p0-java,
                     libcastor-xml-java,
                     libcglib3-java,
                     libcommons-beanutils-java,
                     libcommons-collections3-java,
                     libcommons-fileupload-java,
                     libcommons-httpclient-java,
                     libcommons-logging-java,
                     libcommons-pool-java,
                     libderbyclient-java,
                     libdom4j-java,
                     libecj-java,
                     libeclipselink-java,
                     libehcache-java,
                     libfreemarker-java,
                     libgeronimo-commonj-spec-java (>= 1.1.1-3),
                     libgeronimo-ejb-3.0-spec-java,
                     libgeronimo-interceptor-3.0-spec-java,
                     libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
                     libgeronimo-jms-1.1-spec-java,
                     libgeronimo-jpa-2.0-spec-java,
                     libgeronimo-validation-1.0-spec-java,
                     libhessian-java,
                     libhibernate-validator-java (>= 4.2),
                     libhibernate3-java (>= 3.5),
                     libhsqldb-java,
                     libibatis-java,
                     libitext-java (>= 2.1.7-9),
                     libjackson-json-java,
                     libjackson2-databind-java,
                     libjakarta-taglibs-standard-java,
                     libjamon-java,
                     libjasperreports-java,
                     libjavassist-java,
                     libjboss-vfs-java,
                     libjdo-api-java (>= 2.2),
                     libjetty8-java,
                     libjexcelapi-java,
                     libjibx1.2-java,
                     libjoda-time-java,
                     libjoptsimple-java,
                     libjsf-api-java,
                     libjstl1.1-java,
                     libmail-java,
                     libopenjpa-java,
                     libportlet-api-2.0-spec-java,
                     libquartz-java,
                     librome-java,
                     libservlet2.5-java,
                     libspring-build-java,
                     libtiles-java,
                     libtomcat8-java,
                     libvelocity-tools-java (>= 2.0-3),
                     libxmlbeans-java,
                     libxstream-java,
                     maven-repo-helper (>= 1.1),
                     spring-build-scripts,
                     testng,
                     velocity
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/libspring-java.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libspring-java.git
Homepage: http://projects.spring.io/spring-framework/

Package: libspring-core-java
Architecture: all
Depends: libasm4-java, libcommons-logging-java, ${misc:Depends}
Suggests: libaspectj-java,
          libcommons-collections3-java,
          libjboss-vfs-java,
          liblog4j1.2-java
Description: modular Java/J2EE application framework - Core
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.core.jar : Core abstractions and
 utilities, source-level metadata support.

Package: libspring-beans-java
Architecture: all
Depends: libatinject-jsr330-api-java,
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Suggests: libcglib3-java
Description: modular Java/J2EE application framework - Beans
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.beans.jar : JavaBeans support and
 bean container.

Package: libspring-aop-java
Architecture: all
Depends: libaopalliance-java,
         libspring-beans-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Suggests: libaspectj-java, libcglib3-java, libcommons-pool-java, libjamon-java
Description: modular Java/J2EE application framework - AOP
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.aop.jar and
 org.springframework.aspects.jar: Aspect-oriented programming
 framework.

Package: libspring-context-java
Architecture: all
Depends: libspring-aop-java (= ${source:Version}),
         libspring-beans-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         libspring-expression-java (= ${source:Version}),
         ${misc:Depends}
Recommends: glassfish-javaee,
            libaopalliance-java,
            libasm4-java,
            libatinject-jsr330-api-java,
            libcglib3-java,
            libgeronimo-ejb-3.0-spec-java,
            libgeronimo-jms-1.1-spec-java,
            libgeronimo-validation-1.0-spec-java,
            libjodatime-java,
            libspring-instrument-java (= ${source:Version}),
            libtomcat8-java
Suggests: bsh, groovy2, jruby (>= 1.7.19~)
Description: modular Java/J2EE application framework - Context
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.context.jar : application context,
 JNDI, JMX, instrumentation, remoting, scripting, scheduling and validation

Package: libspring-context-support-java
Architecture: all
Depends: libspring-beans-java (= ${source:Version}),
         libspring-context-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libspring-jdbc-java (= ${source:Version}),
            libspring-transaction-java (= ${source:Version})
Suggests: libehcache-java,
          libfreemarker-java,
          libgeronimo-commonj-spec-java,
          libjasperreports-java,
          libquartz-java,
          velocity
Description: modular Java/J2EE application framework - Context Support
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.context.support.jar : Quartz
 scheduling, UI templating, mail and caching

Package: libspring-web-java
Architecture: all
Depends: libspring-beans-java (= ${source:Version}),
         libspring-context-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libspring-aop-java (= ${source:Version}),
            libspring-oxm-java (= ${source:Version})
Suggests: libaxis-java,
          libcommons-fileupload-java,
          libcommons-httpclient-java,
          libhessian-java,
          libjackson-json-java
Description: modular Java/J2EE application framework - Web
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.jar : web application context,
 multipart resolver, HTTP-based remoting support.

Package: libspring-web-servlet-java
Architecture: all
Depends: libspring-web-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libapache-poi-java,
            libitext-java,
            libjasperreports-java,
            libjexcelapi-java,
            libspring-context-support-java (= ${source:Version}),
            libtiles-java,
            libvelocity-tools-java
Description: modular Java/J2EE application framework - Web Portlet
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.servlet.jar : framework servlets,
 web MVC framework, web controllers, web views for JSP, Velocity, Tiles, iText
 and POI.

Package: libspring-web-portlet-java
Architecture: all
Depends: libspring-web-servlet-java (= ${source:Version}), ${misc:Depends}
Recommends: libportlet-api-2.0-spec-java
Description: modular Java/J2EE application framework - Portlet MVC
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.portlet.jar : integrate JSR 286
 and JSR 168 API with Spring.

Package: libspring-test-java
Architecture: all
Depends: libspring-core-java (= ${source:Version}), ${misc:Depends}
Recommends: junit4 (>= 4.5), testng
Description: modular Java/J2EE application framework - Test helpers
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.test.jar : unit-testing helpers and
 mock classes.

Package: libspring-transaction-java
Architecture: all
Depends: libspring-core-java (= ${source:Version}), ${misc:Depends}
Recommends: glassfish-javaee,
            libspring-aop-java (= ${source:Version}),
            libspring-context-java (= ${source:Version})
Description: modular Java/J2EE application framework - transaction
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-transaction.jar : transaction infrastructure,
 JCA support, DAO support.

Package: libspring-jdbc-java
Architecture: all
Depends: libc3p0-java,
         libspring-beans-java (= ${source:Version}),
         libspring-transaction-java (= ${source:Version}),
         ${misc:Depends}
Description: modular Java/J2EE application framework - JDBC tools
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-jdbc.jar : Java DataBase Connectivity support.

Package: libspring-jms-java
Architecture: all
Depends: glassfish-javaee,
         libspring-beans-java (= ${source:Version}),
         libspring-transaction-java (= ${source:Version}),
         ${misc:Depends}
Description: modular Java/J2EE application framework - JMS tools
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
