=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME       := /usr/lib/jvm/default-java

MODULES = aop beans context context-support core expression instrument jdbc jms orm oxm test tx web webmvc webmvc-portlet

%:
	dh $@ --buildsystem=gradle

override_dh_auto_build:
	dh_auto_build -- jar -x test -x check \
	                 -x :spring-orm-hibernate4:compileJava \
	                 -x :spring-struts:compileJava \
	                 -x :spring-test-mvc:compileJava \
	                 -x :spring-webmvc-tiles3:compileJava

override_dh_auto_clean:
	dh_auto_clean
	mh_clean

override_dh_auto_install:
	# Install the Bill Of Materials in the core package
	mh_installpom -plibspring-core-java debian/poms/spring-framework-bom.pom.xml

	# Install the artifacts in their respective packages
	for MYMOD in $(MODULES); do \
		BASENAME=`echo $$MYMOD | sed "s/tx/transaction/" | sed "s/webmvc-portlet/web-portlet/" | sed "s/webmvc/web-servlet/"`; \
		USJNAME=`echo $$BASENAME | sed "s/-/./" ` ; \
		JAR=`echo spring-$$MYMOD/build/libs/spring-$$MYMOD*.jar`; \
		POM=`echo debian/poms/spring-$$MYMOD.pom.xml`; \
		PACKAGE=`echo libspring-$$BASENAME-java`; \
		mh_installpom -p$$PACKAGE $$POM ; \
		mh_installjar -p$$PACKAGE -nspring3-$$USJNAME --usj-version=3.x --java-lib $$POM $$JAR ; \
	done

	# Install the spring-aspects artifact in the aop package
	mh_installpom -plibspring-aop-java debian/poms/spring-aspects.pom.xml
	mh_installjar -plibspring-aop-java -nspring3-aspects --usj-version=3.x --java-lib debian/poms/spring-aspects.pom.xml spring-aspects/build/libs/spring-aspects*.jar

	# Install the spring-instrument-tomcat artifact in the instrument package
	mh_installpom -plibspring-instrument-java debian/poms/spring-instrument-tomcat.pom.xml
	mh_installjar -plibspring-instrument-java -nspring3-instrument-tomcat --usj-version=3.x --java-lib debian/poms/spring-aspects.pom.xml spring-instrument-tomcat/build/libs/spring-instrument-tomcat*.jar

get-orig-source:
	uscan --download-current-version --rename --force-download
