## libspring-java 4.1.9

=== debian/changelog ===
libspring-java (4.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2015-3192: DoS Attack with XML Input (Closes: #796137)
    - Refreshed the patches
    - Updated the Maven poms
    - New binary package for the spring-messaging module
    - Switch Spring MVC to Tiles 3 only and drop Tiles 2 support
    - Patched Spring MVC to use the older Rome API in Debian
    - Depend on libquartz2-java instead of libquartz-java
    - New suggested dependency on libyaml-snake-java for libspring-beans-java
    - New suggested dependencies on libnetty-java, libprotobuf-java-format-java,
      libprotobuf-java, libjackson2-dataformat-xml-java for libspring-web-java
    - Ignore the non-free JSONassert dependency
    - Depend on libjetty9-extra-java instead of libjetty9-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 May 2016 21:14:36 +0200

libspring-java (4.0.9-4) unstable; urgency=medium

  * Team upload.
  * Depend on groovy instead of groovy2
  * Depend on libjetty9-java instead of libjetty8-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 May 2016 12:01:06 +0200

libspring-java (4.0.9-3) unstable; urgency=medium

  * Team upload.
  * Restored the generic version of the Maven artifacts to '3.x'
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 09 Apr 2016 01:07:52 +0200

libspring-java (4.0.9-2) unstable; urgency=medium

  * Team upload.
  * Enabled the jcache support
  * Fixed the versioned dependency on libquartz-java
  * Updated the versioned dependencies on libjdo-api-java for libspring-orm-java
    and on libtiles-java for libspring-web-servlet-java
  * Removed the unused Maven rule for javax.activation
  * Updated the Maven poms
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Depend on libcglib-java (>= 3.1) instead of libcglib3-java
  * Removed the unused dependencies on ivy, libjavassist-java, libaxis-java,
    libibatis-java, libjboss-vfs-java, libspring-build-java
    and spring-build-scripts
  * Removed the unused suggested dependency on libcommons-httpclient-java
    for libspring-web-java (Closes: #801003)
  * Changed the priority from extra to optional

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Apr 2016 08:26:30 +0200

libspring-java (4.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the dependencies (Closes: #801016)
    - Refreshed the patches
    - Removed 0007_remove_backport_util_concurrent.patch (fixed upstream)
    - Removed 0010_velocity_17.diff (fixed upstream)
    - Removed 0026-derby-compatibility.patch (fixed upstream)
    - Removed 0032-missing-tiles-dependency.patch (fixed upstream)
    - Removed 0033-missing-taglibs-dependency.patch
    - Added a patch fixing the compatibility with velocity-tools 2.0
    - Added a patch to ignore the asciidoctor plugin
    - Added a patch to stop failing the build on compilation warnings
    - Ignore the new websocket and messaging modules
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* URLs
  * Added a lintian overide for the warnings about Spring.js

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 03 Apr 2016 00:44:37 +0200
