=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libspring-java
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Miguel Landaeta <nomadium@debian.org>
 Build-Depends: debhelper (>= 9), default-jdk (>= 1:1.6), gradle (>= 1.7), gradle-debian-helper
 Build-Depends-Indep: bsh,
                      glassfish-javaee,
                      glassfish-toplink-essentials,
+                     gradle-plugin-protobuf,
                      gradle-propdeps-plugin,
-                     groovy2,
-                     ivy,
+                     groovy,
                      jruby (>= 1.7.19~),
                      junit4 (>= 4.5),
                      libaopalliance-java,
                      libapache-poi-java,
-                     libasm4-java,
+                     libasm-java (>= 5.0),
                      libaspectj-java,
                      libatinject-jsr330-api-java,
-                     libaxis-java,
                      libc3p0-java,
                      libcastor-xml-java,
-                     libcglib3-java,
+                     libcglib-java (>= 3.1),
                      libcommons-beanutils-java,
                      libcommons-collections3-java,
                      libcommons-fileupload-java,
-                     libcommons-httpclient-java,
                      libcommons-logging-java,
                      libcommons-pool-java,
                      libderbyclient-java,
@@ -34,60 +32,67 @@
                      libehcache-java,
                      libfreemarker-java,
                      libgeronimo-commonj-spec-java (>= 1.1.1-3),
+                     libgeronimo-concurrent-1.0-spec-java,
                      libgeronimo-ejb-3.0-spec-java,
                      libgeronimo-interceptor-3.0-spec-java,
                      libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
+                     libgeronimo-jcache-1.0-spec-java,
                      libgeronimo-jms-1.1-spec-java,
-                     libgeronimo-jpa-2.0-spec-java,
+                     libgeronimo-jta-1.2-spec-java,
                      libgeronimo-validation-1.0-spec-java,
                      libhessian-java,
-                     libhibernate-validator-java (>= 4.2),
+                     libhibernate-validator-java (>= 4.3.2),
                      libhibernate3-java (>= 3.5),
                      libhsqldb-java,
-                     libibatis-java,
+                     libhttpasyncclient-java,
                      libitext-java (>= 2.1.7-9),
                      libjackson-json-java,
                      libjackson2-databind-java,
+                     libjackson2-dataformat-xml-java,
                      libjakarta-taglibs-standard-java,
                      libjamon-java,
-                     libjasperreports-java,
-                     libjavassist-java,
-                     libjboss-vfs-java,
-                     libjdo-api-java (>= 2.2),
-                     libjetty8-java,
+                     libjasperreports-java (>= 6.1.1+dfsg-4~),
+                     libjdo-api-java (>= 3.1),
+                     libjetty9-extra-java,
                      libjexcelapi-java,
                      libjibx1.2-java,
                      libjoda-time-java,
                      libjoptsimple-java,
+                     libjpa-2.1-spec-java,
                      libjsf-api-java,
+                     libjsonpath-java,
                      libjstl1.1-java,
                      libmail-java,
+                     libnetty-java,
                      libopenjpa-java,
                      libportlet-api-2.0-spec-java,
-                     libquartz-java,
+                     libprotobuf-java,
+                     libprotobuf-java-format-java,
+                     libquartz2-java,
+                     libreactor-core-java,
                      librome-java,
-                     libservlet2.5-java,
-                     libspring-build-java,
-                     libtiles-java,
+                     libservlet3.0-java,
+                     libservlet3.1-java,
+                     libtiles-java (>= 3.0),
                      libtomcat8-java,
                      libvelocity-tools-java (>= 2.0-3),
                      libxmlbeans-java,
+                     libxmlunit-java,
                      libxstream-java,
+                     libyaml-snake-java,
                      maven-repo-helper (>= 1.1),
-                     spring-build-scripts,
                      testng,
                      velocity
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/libspring-java.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libspring-java.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/libspring-java.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libspring-java.git
 Homepage: http://projects.spring.io/spring-framework/
 
 Package: libspring-core-java
 Architecture: all
-Depends: libasm4-java, libcommons-logging-java, ${misc:Depends}
+Depends: libasm-java (>= 5.0), libcommons-logging-java, ${misc:Depends}
 Suggests: libaspectj-java,
           libcommons-collections3-java,
-          libjboss-vfs-java,
           liblog4j1.2-java
 Description: modular Java/J2EE application framework - Core
  Spring is a layered Java/J2EE application framework offering a lot of freedom
@@ -102,7 +107,7 @@
 Depends: libatinject-jsr330-api-java,
          libspring-core-java (= ${source:Version}),
          ${misc:Depends}
-Suggests: libcglib3-java
+Suggests: libcglib-java (>= 3.1), libyaml-snake-java
 Description: modular Java/J2EE application framework - Beans
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -117,7 +122,7 @@
          libspring-beans-java (= ${source:Version}),
          libspring-core-java (= ${source:Version}),
          ${misc:Depends}
-Suggests: libaspectj-java, libcglib3-java, libcommons-pool-java, libjamon-java
+Suggests: libaspectj-java, libcglib-java (>= 3.1), libcommons-pool-java, libjamon-java
 Description: modular Java/J2EE application framework - AOP
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -136,16 +141,16 @@
          ${misc:Depends}
 Recommends: glassfish-javaee,
             libaopalliance-java,
-            libasm4-java,
+            libasm-java (>= 5.0),
             libatinject-jsr330-api-java,
-            libcglib3-java,
+            libcglib-java (>= 3.1),
             libgeronimo-ejb-3.0-spec-java,
             libgeronimo-jms-1.1-spec-java,
             libgeronimo-validation-1.0-spec-java,
             libjodatime-java,
             libspring-instrument-java (= ${source:Version}),
             libtomcat8-java
-Suggests: bsh, groovy2, jruby (>= 1.7.19~)
+Suggests: bsh, groovy, jruby (>= 1.7.19~)
 Description: modular Java/J2EE application framework - Context
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -166,7 +171,7 @@
           libfreemarker-java,
           libgeronimo-commonj-spec-java,
           libjasperreports-java,
-          libquartz-java,
+          libquartz2-java,
           velocity
 Description: modular Java/J2EE application framework - Context Support
  Spring is a layered Java/J2EE application framework offering a lot of freedom
@@ -184,11 +189,13 @@
          ${misc:Depends}
 Recommends: libspring-aop-java (= ${source:Version}),
             libspring-oxm-java (= ${source:Version})
-Suggests: libaxis-java,
-          libcommons-fileupload-java,
-          libcommons-httpclient-java,
+Suggests: libcommons-fileupload-java,
           libhessian-java,
-          libjackson-json-java
+          libjackson-json-java,
+          libjackson2-dataformat-xml-java,
+          libnetty-java,
+          libprotobuf-java,
+          libprotobuf-java-format-java
 Description: modular Java/J2EE application framework - Web
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -206,7 +213,7 @@
             libjasperreports-java,
             libjexcelapi-java,
             libspring-context-support-java (= ${source:Version}),
-            libtiles-java,
+            libtiles-java (>= 3.0),
             libvelocity-tools-java
 Description: modular Java/J2EE application framework - Web Portlet
  Spring is a layered Java/J2EE application framework offering a lot of freedom
@@ -268,14 +275,3 @@
  .
  This package provide spring-jdbc.jar : Java DataBase Connectivity support.
 
-Package: libspring-jms-java
-Architecture: all
-Depends: glassfish-javaee,
-         libspring-beans-java (= ${source:Version}),
-         libspring-transaction-java (= ${source:Version}),
-         ${misc:Depends}
-Description: modular Java/J2EE application framework - JMS tools
- Spring is a layered Java/J2EE application framework offering a lot of freedom
- to Java developers yet providing well documented and easy-to-use solutions for
- common practices in the industry.
- .
