=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 JAVA_HOME       := /usr/lib/jvm/default-java
 
-MODULES = aop beans context context-support core expression instrument jdbc jms orm oxm test tx web webmvc webmvc-portlet
+VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//')
+MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
 
 %:
 	dh $@ --buildsystem=gradle
@@ -10,9 +11,8 @@
 override_dh_auto_build:
 	dh_auto_build -- jar -x test -x check \
 	                 -x :spring-orm-hibernate4:compileJava \
-	                 -x :spring-struts:compileJava \
-	                 -x :spring-test-mvc:compileJava \
-	                 -x :spring-webmvc-tiles3:compileJava
+	                 -x :spring-webmvc-tiles2:compileJava \
+	                 -x :spring-websocket:compileJava
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -43,3 +43,9 @@
 
 get-orig-source:
 	uscan --download-current-version --rename --force-download
+
+
+get-orig-pom:
+	for MYMOD in $(MODULES); do \
+		wget https://repo1.maven.org/maven2/org/springframework/spring-$$MYMOD/$(VERSION).RELEASE/spring-$$MYMOD-$(VERSION).RELEASE.pom -O debian/poms/spring-$$MYMOD.pom.xml ; \
+	done
