## libspring-java 4.3.3

=== debian/changelog ===
libspring-java (4.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Sep 2016 09:38:11 +0200

libspring-java (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Removed the dependency on libaopalliance-java
    - Disabled the Caffeine support (not in Debian)
    - Added a dependency on libspring-aop-java to libspring-web-servlet-java
    - Depend on libprotobuf-java-format-java (>= 1.3)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Aug 2016 23:55:59 +0200

libspring-java (4.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Disabled the Money API support for spring-context (not in Debian)
    - Disabled the Hibernate 5 support in spring-orm (not in Debian)
    - Disabled the OkHttp support in spring-web (not in Debian)
    - Disabled the HtmlUnit support in spring-test
    - New dependency on webjars-locator for spring-webmvc
    - New dependency on commons-pool2 for spring-aop
    - Depend on libreactor-core-java (>= 2.0.8)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Aug 2016 19:48:41 +0200

libspring-java (4.1.9-2) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1 (Closes: #830496)
  * Relocated the 3.x Maven artifacts to the generic 'debian' version
  * Refreshed the pom of spring-aspects, spring-framework-bom
    and spring-instrument-tomcat
  * Updated README.Debian

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 22 Jul 2016 17:17:12 +0200
