=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                      groovy,
                      jruby (>= 1.7.19~),
                      junit4 (>= 4.5),
-                     libaopalliance-java,
                      libapache-poi-java,
                      libasm-java (>= 5.0),
                      libaspectj-java,
@@ -25,6 +24,7 @@
                      libcommons-fileupload-java,
                      libcommons-logging-java,
                      libcommons-pool-java,
+                     libcommons-pool2-java,
                      libderbyclient-java,
                      libdom4j-java,
                      libecj-java,
@@ -67,20 +67,21 @@
                      libopenjpa-java,
                      libportlet-api-2.0-spec-java,
                      libprotobuf-java,
-                     libprotobuf-java-format-java,
+                     libprotobuf-java-format-java (>= 1.3),
                      libquartz2-java,
-                     libreactor-core-java,
+                     libreactor-core-java (>= 2.0.8),
                      librome-java,
-                     libservlet3.0-java,
                      libservlet3.1-java,
                      libtiles-java (>= 3.0),
                      libtomcat8-java,
                      libvelocity-tools-java (>= 2.0-3),
+                     libwebjars-locator-java,
+                     libwebjars-locator-core-java,
                      libxmlbeans-java,
                      libxmlunit-java,
                      libxstream-java,
                      libyaml-snake-java,
-                     maven-repo-helper (>= 1.1),
+                     maven-repo-helper (>= 1.9~),
                      testng,
                      velocity
 Standards-Version: 3.9.8
@@ -118,11 +119,10 @@
 
 Package: libspring-aop-java
 Architecture: all
-Depends: libaopalliance-java,
-         libspring-beans-java (= ${source:Version}),
-         libspring-core-java (= ${source:Version}),
-         ${misc:Depends}
-Suggests: libaspectj-java, libcglib-java (>= 3.1), libcommons-pool-java, libjamon-java
+Depends: libspring-beans-java (= ${source:Version}),
+         libspring-core-java (= ${source:Version}),
+         ${misc:Depends}
+Suggests: libaspectj-java, libcglib-java (>= 3.1), libcommons-pool-java, libcommons-pool2-java, libjamon-java
 Description: modular Java/J2EE application framework - AOP
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -140,7 +140,6 @@
          libspring-expression-java (= ${source:Version}),
          ${misc:Depends}
 Recommends: glassfish-javaee,
-            libaopalliance-java,
             libasm-java (>= 5.0),
             libatinject-jsr330-api-java,
             libcglib-java (>= 3.1),
@@ -195,7 +194,7 @@
           libjackson2-dataformat-xml-java,
           libnetty-java,
           libprotobuf-java,
-          libprotobuf-java-format-java
+          libprotobuf-java-format-java (>= 1.3)
 Description: modular Java/J2EE application framework - Web
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -207,6 +206,7 @@
 Package: libspring-web-servlet-java
 Architecture: all
 Depends: libspring-web-java (= ${source:Version}),
+         libspring-aop-java (= ${source:Version}),
          ${misc:Depends}
 Recommends: libapache-poi-java,
             libitext-java,
@@ -214,7 +214,9 @@
             libjexcelapi-java,
             libspring-context-support-java (= ${source:Version}),
             libtiles-java (>= 3.0),
-            libvelocity-tools-java
+            libvelocity-tools-java,
+            libwebjars-locator-java,
+            libwebjars-locator-core-java
 Description: modular Java/J2EE application framework - Web Portlet
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -270,8 +272,3 @@
          ${misc:Depends}
 Description: modular Java/J2EE application framework - JDBC tools
  Spring is a layered Java/J2EE application framework offering a lot of freedom
- to Java developers yet providing well documented and easy-to-use solutions for
- common practices in the industry.
- .
- This package provide spring-jdbc.jar : Java DataBase Connectivity support.
-
