=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_build:
 	dh_auto_build -- jar -x test -x check \
 	                 -x :spring-orm-hibernate4:compileJava \
+	                 -x :spring-orm-hibernate5:compileJava \
 	                 -x :spring-webmvc-tiles2:compileJava \
 	                 -x :spring-websocket:compileJava
 
@@ -20,7 +21,7 @@
 
 override_dh_auto_install:
 	# Install the Bill Of Materials in the core package
-	mh_installpom -plibspring-core-java debian/poms/spring-framework-bom.pom.xml
+	mh_installpom -plibspring-core-java --relocate=org.springframework:spring-framework-bom:3.x debian/poms/spring-framework-bom.pom.xml
 
 	# Install the artifacts in their respective packages
 	for MYMOD in $(MODULES); do \
@@ -29,16 +30,16 @@
 		JAR=`echo spring-$$MYMOD/build/libs/spring-$$MYMOD*.jar`; \
 		POM=`echo debian/poms/spring-$$MYMOD.pom.xml`; \
 		PACKAGE=`echo libspring-$$BASENAME-java`; \
-		mh_installpom -p$$PACKAGE $$POM ; \
+		mh_installpom -p$$PACKAGE --relocate=org.springframework:spring-$$MYMOD:3.x $$POM; \
 		mh_installjar -p$$PACKAGE -nspring3-$$USJNAME --usj-version=3.x --java-lib $$POM $$JAR ; \
 	done
 
 	# Install the spring-aspects artifact in the aop package
-	mh_installpom -plibspring-aop-java debian/poms/spring-aspects.pom.xml
+	mh_installpom -plibspring-aop-java --relocate=org.springframework:spring-aspects:3.x debian/poms/spring-aspects.pom.xml
 	mh_installjar -plibspring-aop-java -nspring3-aspects --usj-version=3.x --java-lib debian/poms/spring-aspects.pom.xml spring-aspects/build/libs/spring-aspects*.jar
 
 	# Install the spring-instrument-tomcat artifact in the instrument package
-	mh_installpom -plibspring-instrument-java debian/poms/spring-instrument-tomcat.pom.xml
+	mh_installpom -plibspring-instrument-java --relocate=org.springframework:spring-instrument-tomcat:3.x debian/poms/spring-instrument-tomcat.pom.xml
 	mh_installjar -plibspring-instrument-java -nspring3-instrument-tomcat --usj-version=3.x --java-lib debian/poms/spring-aspects.pom.xml spring-instrument-tomcat/build/libs/spring-instrument-tomcat*.jar
 
 get-orig-source:
@@ -46,6 +47,6 @@
 
 
 get-orig-pom:
-	for MYMOD in $(MODULES); do \
+	for MYMOD in $(MODULES) aspects framework-bom instrument-tomcat; do \
 		wget https://repo1.maven.org/maven2/org/springframework/spring-$$MYMOD/$(VERSION).RELEASE/spring-$$MYMOD-$(VERSION).RELEASE.pom -O debian/poms/spring-$$MYMOD.pom.xml ; \
 	done
